<?php
class controller_addon_zadarma_mailer extends addon {
    function action_index($addon) {
        if (isset($_POST['zadarma-widget-call'])) {
            $params = unserialize($addon['params']);
            $this->load_helper('mail');
            $this->helper_mail->from_name = 'Пользователь сайта '.SITE_NAME;
            $this->helper_mail->from_email = $params['from_email']; 
            $this->helper_mail->mail_target = $params['to_email'];
            $this->helper_mail->subject = 'Заказ звонка на сайте '.SITE_NAME;
            $message = 'На сайте '.SITE_URL.' заказан обратный звонок на номер '.$_POST['phone'].'.';
            if (isset($_POST['date'])) $message .= ' Пользователь указал, что ждет звонка '.$_POST['date'].'.';
            $message .= ' Заявка получена '.date('d.m.Y в H:i').'.';
            $this->helper_mail->send($message);
            die();
        } else {
            $this->page['head'] = $this->add_js_file(SITE_URL . '/modules/addons/zadarma_mailer/zadarma_mailer.js');
            return $this->page;
        }
    }

    public function action_activate() {
        return $this->settings('activate', array('from_email' => 'robot@example.com', 'to_email' => 'info@example.com'));
    }
    
    public function action_settings($addon) {
        $params = unserialize($addon['params']);
        return $this->settings('edit_settings', $params);
    }
    
    private function settings($submit_name, $params) {
        $errors = array();
        if (isset($_POST[$submit_name])) {

            $params['from_email'] = $_POST['from_email'];
            $params['to_email'] = $_POST['to_email'];

            if ($params['to_email'] == '') $errors[] = 'Нужно указать адрес получателя уведомлений.';

            if (empty($errors)) {
                $this->page['params'] = serialize($params);
            } else {
                unset($_POST[$submit_name]);
            }
        }

        $this->data['errors'] = $errors;
        $this->data['params'] = $params;
        $this->page['html'] = $this->load_view();
        return $this->page;
    }
}